{
  "name": "web",
  "$schema": "../../node_modules/nx/schemas/project-schema.json",
  "root": "apps/web",
  "sourceRoot": "apps/web/src",
  "projectType": "application",
  "targets": {
    "dev": {
      "executor": "nx:run-commands",
      "options": {
        "cwd": "apps/web",
        "command": "pnpm dev"
      }
    },
    "build": {
      "executor": "nx:run-commands",
      "outputs": ["{projectRoot}/dist"],
      "options": {
        "cwd": "apps/web",
        "command": "pnpm build"
      }
    },
    "lint": {
      "executor": "nx:run-commands",
      "options": {
        "cwd": "apps/web",
        "command": "pnpm typecheck"
      }
    },
    "test": {
      "executor": "nx:run-commands",
      "options": {
        "cwd": "apps/web",
        "command": "pnpm test && pnpm typecheck"
      }
    }
  }
}
